import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CmCity } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-13 14:52
 */
interface CmCityCU extends ConditionUtil<CmCityCU> {
    ID: FieldUtil<CmCityCU>;
    CODE: FieldUtil<CmCityCU>;
    PROV_ID: FieldUtil<CmCityCU>;
    NAME: FieldUtil<CmCityCU>;
    CAR_PREFFIX: FieldUtil<CmCityCU>;
}
declare class CmCityMU extends TableUtilImpl<CmCityCU, CmCity> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CmCityCU;
    static get ID(): FieldUtil<CmCityCU>;
    static get CODE(): FieldUtil<CmCityCU>;
    static get PROV_ID(): FieldUtil<CmCityCU>;
    static get NAME(): FieldUtil<CmCityCU>;
    static get CAR_PREFFIX(): FieldUtil<CmCityCU>;
    get ID(): FieldUtil<CmCityCU>;
    get CODE(): FieldUtil<CmCityCU>;
    get PROV_ID(): FieldUtil<CmCityCU>;
    get NAME(): FieldUtil<CmCityCU>;
    get CAR_PREFFIX(): FieldUtil<CmCityCU>;
}
export { CmCityMU, CmCityCU };
